
/* applied to entire page */
    body {
        background-color: black;
        color: white;
        font-family: 'Yu Gothic Light', 'Yu Gothic', sans-serif;

        text-align: center;
    }
    html, body {
        height: 100%;
        padding-top: 0%;     /* Padding for the left */
        padding-left: 0%;     /* Padding for the left */
        padding-right: 13%;
    }
    .content {
        padding: 20px;
        flex-grow: 1;
    }
    
/* button stuff */
    /* conventional button */
        button, .like-button, input[type="button"] {
            color: black;
            padding: 10px 20px;
            border: none;
            cursor: pointer;
            border-radius: 15px;
            font-weight: bold;
            background-color: white;

            font-family: 'Yu Gothic Light', 'Yu Gothic', sans-serif; /* Apply the desired font to all buttons */
        }
        button:hover, .like-button:hover, input[type="button"]:hover {
            background-color: blue;
            color: white;
        }
    
    /* toggle button class (for the sidebar and the title renaming button)*/
        .toggle-sidebar-button {
            position: absolute; /* Position it on the edge of the sidebar */
            top: 50%; /* Adjust as needed */
            left: 260px; /* Position it to the right of the sidebar */
            transform: translateX(-100%); /* Shift the button to overlap the sidebar */
            z-index: 1; /* Ensure it is above other content */
            cursor: pointer; /* Show a pointer on hover */
        }

        .toggle-sidebar-button.moreLeft {
            transform: rotate(180deg);
            position: absolute;
            left: 15px;
        }

        .grey-rename-button, .toggle-sidebar-button {
            background-color: grey;
            color: white;
        }
        .grey-rename-button:hover, .toggle-sidebar-button:hover {
            background-color: blue;
            color: white;
        }
    /* grey innactive button for speech to text */
        .grey-inactive-button, .grey-inactive-button:hover {
            background-color: grey;
            color: white;
        }
    
    /* login / create account / logout*/
        .greyBlueLoginButton, input[type="button"].greyBlueLoginButton {
            height: 50px;
            background-color: grey;
            color: white;
            font-size: 15px;
        }
        
        .greyBlueLoginButton:hover, input[type="button"].greyBlueLoginButton:hover {
            background-color: rgb(50, 100, 255);
            font-size: 18px;
        }

        .innactiveBlueLoginButton {
            height: 50px;
            background-color: blue;
            color: white;
            padding: 10px 20px;
            border-radius: 15px;
            font-size: 18px;
        }

    
    
    /* delete button class (general) */
        .delete-button, .delete-button-flash-white {
            color: white;
            padding: 5px 15px;
            border-radius: 10px;
            background-color: grey;
            margin-bottom: 4px;
            font-weight: bold;
        }
    /* (focusing on) delete button that flashes white instead of blue */
        /* this is used only in saved audios */
        .delete-button-flash-white:hover {
            background-color: white;
            color: black;
        }
    /* pause button */
        .light-blue {
            background-color: rgb(50, 100, 255);
            color: white; /* Optional: Change text color for better contrast */
        }
        .normal-blue {
            background-color: blue;
            color: white; /* Optional: Change text color for better contrast */
        }
        .light-blue:hover, .normal-blue:hover {
            background-color: rgb(0, 0, 100);
            color: white; /* Optional: Change text color for better contrast */
        }
    
/* text to speech */
    #voice-select {
        background-color: black;
        color: white;
        font-family: 'Yu Gothic Light', 'Yu Gothic', sans-serif;
        border-radius: 15px;
    }
    #voice-select, #translateButton {
        margin-right: 10px;
        margin-left: 10px;
    }
    #text-input-textToSpeech {
        background-color: black;
        color: white;
    
        width: 70%; /* Adjust width to fit the container */
        height: 20%; /* Adjust height as needed */
        font-family: 'Yu Gothic Light', 'Yu Gothic', sans-serif;
        border-radius: 15px;
    }
/* audio player */
    #titleInput {
        background-color: black;
        color: white;
        width: 50%;
        font-family: 'Yu Gothic Light', 'Yu Gothic', sans-serif;
        border-radius: 15px;
    }
    #location-slider {
        width: 60%; /* or any specific width like 500p/x */
    }

    
    
/* side bar - only in layout.html*/
    /* the actual sidebar */
        .sidebar {
            width: 200px;
            background-color: #f4f4f4;
            padding: 20px;
            height: 100vh;
        }

        .sidebar ul {
            list-style-type: none;
            padding: 0;
        }

        .sidebar ul li {
            margin: 10px 0;
            line-height: 30px;
        }

        .sidebar ul li a {
            text-decoration: none;
            color: black;
        }

        .sidebar ul li a:hover {
            text-decoration: underline;
        }

        .sidebar ul li .active {
            font-weight: bold;
            color: white;
            background-color: blue;
            padding: 10px 20px;
            border-radius: 15px;
            font-size: 18px;
        }

        /* Collapsed sidebar */
        .sidebar.collapsed {
            width: 50px;
            overflow: hidden;
            display: none;
        }
    /* the container */
        .container {
            height: 100%;
            display: flex;
        }
        

/* table */
    #dataTable tbody tr {
        cursor: pointer; /* Changes cursor to hand when hovering over the row */
    }

    /* Styling for the table */
    .table {
        border-collapse: collapse;
        width: 100%;
    }

    /* Add a border to each table cell */
    .table th, .table td {
        border-right: 1px solid #ddd; /* Adds vertical borders only */
        padding: 8px;
    }

    .table th:last-child, .table td:last-child {
        border-right: none; /* Removes border from the last column */
    }


    /* Optional: Add borders to the table header */
    .table th {
        font-size: 1.4em; /* Adjust the size as desired */
    }

    /* Optional: Add a hover effect for table rows */
    .table tbody tr:hover {
        background-color: blue;
    }
/* billing */
    .input-billing-entire-page {
        text-align: left;
        margin-left: 50px;
    }
    .input-field-billing{
        color: red !important;
    }
/*_*/